:root {
	--nsf-green: #1db954;
	--nsf-black: #191414;
}

html {
	--defColor: var(--nsf-black);
	--priColor: var(--nsf-green);
	--secColor: #ff6933;
	--accPriColor: var(--nsf-green);
	--priColorPale: var(--nsf-green);
	--accSecColor: var(--nsf-green);
	--defBgColor: #ffffff;
	--bgColorPale: #dedede;
}

body {
	background-color: #f0f0f0;
}

h2 {
	margin: 0;
	margin-bottom: 10px;

	font-size: 20pt;
}
h2 a {
	text-decoration: none;
}

h3 {
	color: var(--secColor);
	margin: 0;
	margin-top: 60px;
	margin-bottom: -20px;
	text-align: center;
}

h4 {
	color: var(--defColor);
	margin: 0;
}

h5 {
	font-size: 15pt;
}
h5 a {
	text-decoration-color: var(--secColor);
}

p {
	margin: 0;
}

a {
	text-decoration-color: var(--nsf-green);
}

.def-menu {
	background-color: rgba(240,240,240,0.9);
}

#splash-screen {
	position: fixed;
	top: 0;
	left: 0;
	width: calc(100% - 40px);
	height: 100%;
	padding: 0px 20px;

	background-color: var(--nsf-black);
	color: #fff;

	display: flex;
	flex-direction: column;
	flex-wrap: nowrap;
	justify-content: center;
	align-items: center;
	align-content: center;

	z-index: 930;
}

#splash-screen #splash-logo {
	content: "";

	width: 80%;
	max-width: 400px;
	height: 80px;

	background: url('/i/novra-logo-spotify-feed.png');
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
}

#splash-screen h5 {
	margin-top: 0;
}

.btn {
	width: unset;

	margin-bottom: 20px;

	min-width: 113px;
	margin-left: 10px;
	margin-right: 10px;

	font-size: 14px;
	line-height: 1;
	border-radius: 500px;
	padding: 11px 32px 9px;

	background-color: var(--nsf-green);
	color: #fff;

	transition-property: background-color,border-color,color,box-shadow,filter;
	transition-duration: .3s;
	border-width: 0;
	letter-spacing: 2px;
	text-transform: uppercase;
	white-space: normal;

	border-color: #1aa34a;

	display: inline-block;
	font-weight: 700;
	text-align: center;
	vertical-align: middle;
	-ms-touch-action: manipulation;
	touch-action: manipulation;
	cursor: pointer;
	background-image: none;
	border: 1px solid transparent;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;

	-webkit-appearance: button;

	overflow: visible;
}

.btn:hover {
	background-color: #116e32;
}

.nsf-green {
	color: var(--nsf-green);
}

.nsf-green-bg {
	background-color: var(--nsf-green);
}

.nsf-black {
	color: var(--nsf-black);
}

.nsf-black-bg {
	background-color: var(--nsf-black);
}

.nsf-card {
	display: flex;
	flex-direction: row;
	flex-wrap: nowrap;
	justify-content: center;
	align-items: center;
	align-content: center;
	background-color: #fefefe;

	padding: 40px;
	margin: 30px;
	margin-top: 0px;

	box-shadow: 0px 2px 10px -3px black;
	border-radius: 5px;
}

.nsf-card img {
	width: 250px;
	height: 250px;
}

.nsf-card div {
	display: flex;
	flex-direction: column;
	flex-wrap: nowrap;
	justify-content: flex-start;
	align-items: flex-start;
	align-content: flex-start;

	padding: 40px;
}

.nsf-card-small {
	display: flex;
	flex-direction: row;
	flex-wrap: nowrap;
	justify-content: center;
	align-items: center;
	align-content: center;
	background-color: #fefefe;

	margin: 30px 10px;
	margin-top: 0px;

	box-shadow: 0px 2px 10px -3px black;
	border-radius: 5px;

	width: calc(50% - 20px);
}

.nsf-card-small img {
	width: 40%;
	height: auto;

	border-top-left-radius: 5px;
	border-bottom-left-radius: 5px;
}

.nsf-card-small img::after {
	content: '';
	background-color: rgba(255,0,0,0.4);
}

.nsf-card-small div {
	display: flex;
	flex-direction: column;
	flex-wrap: nowrap;
	justify-content: flex-start;
	justify-content: flex-start;
	align-content: flex-start;

	padding: 20px;

	width: calc(60% - 40px);
}

.result-box {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: center;
	align-items: center;
	align-content: center;

	width: 100%;
}

.result-box audio {
	display: none;
}

.footer {
	background-color: var(--defColor);
}

#result1 img {
	width: 150px;
	height: 150px;
}

img.playback-btn {
	display: inline;
	cursor: pointer;

	width: 30px;
	height: 30px;

	margin-top: 5px;
}



@media only screen and (max-width: 1070px) {
	.mob-menu, .mob-menu-container {
		background-color: rgba(240,240,240,0.9);
	}
	
	.nsf-card {
		flex-direction: column;

		padding: 20px;
		margin: 20px 0px;
	}

	.nsf-card img {
		width: 150px;
		height: 150px;
	}

	.nsf-card div {
		width: calc(100% - 40px);

		padding: 20px;
	}

	.nsf-card-small {
		width: 100%;
	}

	.nsf-card-small img {
		width: 30%;
		height: auto;
		margin: 5px;
		border-radius: 0px;
	}

	.nsf-card-small div {
		padding: 15px;
		width: calc(70% - 30px);
	}

	.result-box {
		flex-direction: column;
	}

	img.playback-btn {
		display: inline;
		cursor: pointer;

		width: 30px;
		height: 30px;

		position: absolute;
		right: 15px;
	}

	#result1 img {
		width: 100px;
		height: 100px;
	}
}